Permalink
Browse files

Update CHANGELOG and version number for simple_uuid dependency change.

  • Loading branch information...
1 parent c3ed718 commit 7b9b1e1403f9a31b04b45526dafcc94af1b4897b Robert Jackson committed Aug 22, 2011
Showing with 6 additions and 4 deletions.
  1. +3 −1 CHANGELOG
  2. +1 −1 Rakefile
  3. +1 −1 cassandra.gemspec
  4. +1 −1 lib/cassandra.rb
View
@@ -1,3 +1,5 @@
+v0.12.1 Fix issue with simple_uuid dependency.
+
v0.12.0 Changed thrift_client dependency to 0.7.0
v0.11.4
@@ -64,7 +66,7 @@ v0.7.2 Switch to newly-extraced simple_uuid gem, minor bugfixes.
v0.7.1 update thrift-generated code to 0.5
-v0.7 Various improvements.
+v0.7 Various improvements.
- Compatibility with Cassandra 0.5.
- performance improvements
View
@@ -9,7 +9,7 @@ unless ENV['FROM_BIN_CASSANDRA_HELPER']
p.project = "fauna"
p.summary = "A Ruby client for the Cassandra distributed database."
p.rubygems_version = ">= 0.8"
- p.dependencies = ['thrift_client >=0.7.0', 'json', 'rake', 'simple_uuid >=0.1.0']
+ p.dependencies = ['thrift_client >=0.7.0', 'json', 'rake', 'simple_uuid >= 0.2.0']
p.ignore_pattern = /^(data|vendor\/cassandra|cassandra|vendor\/thrift|.*\.rbc)/
p.rdoc_pattern = /^(lib|bin|tasks|ext)|^README|^CHANGELOG|^TODO|^LICENSE|^COPYING$/
p.retain_gemspec = true
View
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{cassandra}
- s.version = "0.12.0"
+ s.version = "0.12.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0.8") if s.respond_to? :required_rubygems_version=
s.authors = [%q{Evan Weaver, Ryan King}]
View
@@ -1,7 +1,7 @@
require 'rubygems'
gem 'thrift_client', '~> 0.7.0'
require 'thrift_client'
-gem 'simple_uuid' , '>= 0.2.0'
+gem 'simple_uuid' , '~> 0.2.0'
require 'simple_uuid'
require 'json' unless defined?(JSON)

0 comments on commit 7b9b1e1

Please sign in to comment.